Bug 673819 - OO-writer dies if I try to change the position of a text field in the page foot area
Summary: OO-writer dies if I try to change the position of a text field in the page fo...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org   
(Show other bugs)
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-30 18:19 UTC by Joachim Backes
Modified: 2011-04-14 20:54 UTC (History)
1 user (show)

Fixed In Version: openoffice.org-3.3.0-20.5.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-14 20:54:30 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
the problematic odt document (4.34 MB, application/vnd.oasis.opendocument.text)
2011-01-30 18:19 UTC, Joachim Backes
no flags Details

Description Joachim Backes 2011-01-30 18:19:54 UTC
Created attachment 476073 [details]
the problematic odt document

Description of problem:
Having an odt file, with an activated page foot area. In this foot area I have a text frame created. If I try to change the position of this text area by clicking on the area with the left mouse pointer and then trying to  select "position and size" with the right mouse button, swriter dies without any message. 

Version-Release number of selected component (if applicable):
openoffice.org-brand-3.3.0-19.2.fc14.i686
openoffice.org-math-core-3.3.0-19.2.fc14.i686
openoffice.org-calc-core-3.3.0-19.2.fc14.i686
openoffice.org-math-3.3.0-19.2.fc14.i686
openoffice.org-langpack-en-3.3.0-19.2.fc14.i686
openoffice.org-graphicfilter-3.3.0-19.2.fc14.i686
openoffice.org-impress-3.3.0-19.2.fc14.i686
openoffice.org-draw-core-3.3.0-19.2.fc14.i686
openoffice.org-core-3.3.0-19.2.fc14.i686
openoffice.org-xsltfilter-3.3.0-19.2.fc14.i686
openoffice.org-opensymbol-fonts-3.3.0-19.2.fc14.noarch
openoffice.org-presenter-screen-3.3.0-19.2.fc14.i686
openoffice.org-calc-3.3.0-19.2.fc14.i686
openoffice.org-pdfimport-3.3.0-19.2.fc14.i686
openoffice.org-writer-core-3.3.0-19.2.fc14.i686
openoffice.org-ure-3.3.0-19.2.fc14.i686
openoffice.org-langpack-de-3.3.0-19.2.fc14.i686
openoffice.org-writer-3.3.0-19.2.fc14.i686
openoffice.org-draw-3.3.0-19.2.fc14.i686
openoffice.org-impress-core-3.3.0-19.2.fc14.i686


How reproducible:
always

Steps to Reproduce:
1.open the attached odt document
2.goto into the footer area, select the text field "joachim backes" with the left mouse button 
3.click with the right mouse button for getting the context menu
4. select "position and size" in the context menu
  
Actual results:
 OO dies, no error message

Expected results:
I can change the text field's position

Additional info:

Comment 1 Caolan McNamara 2011-01-30 18:37:28 UTC
Confirmed, page 1 works ok, but death on page 2

Comment 2 Caolan McNamara 2011-01-30 20:46:12 UTC
Will be good in >= 3.3.0-20.3

Drawing objects in header/footers are basically wrapped by a cunning fake drawing object which tells the drawing layer there are lots of different objects in order to draw the same "real" object to different places on screen. 

One little bit of debugging code which really shouldn't have even been there in the first place really tried to look behind the curtain

Comment 3 Joachim Backes 2011-01-31 04:26:30 UTC
(In reply to comment #2)
> Will be good in >= 3.3.0-20.3

Thanks. Good to hear :-)
> 
> Drawing objects in header/footers are basically wrapped by a cunning fake
> drawing object which tells the drawing layer there are lots of different
> objects in order to draw the same "real" object to different places on screen. 
> 
> One little bit of debugging code which really shouldn't have even been there in
> the first place really tried to look behind the curtain

Comment 4 Fedora Update System 2011-04-06 07:59:07 UTC
openoffice.org-3.3.0-20.5.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/openoffice.org-3.3.0-20.5.fc14

Comment 5 Fedora Update System 2011-04-06 22:28:02 UTC
Package openoffice.org-3.3.0-20.5.fc14:
* should fix your issue,
* was pushed to the Fedora 14 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing openoffice.org-3.3.0-20.5.fc14'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/openoffice.org-3.3.0-20.5.fc14
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2011-04-14 20:53:48 UTC
openoffice.org-3.3.0-20.5.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.